# Uses of Class
com.databricks.jdbc.exception.DatabricksParsingException

Packages that use DatabricksParsingException
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.api.impl.arrow
com.databricks.jdbc.api.internal
com.databricks.jdbc.auth
com.databricks.jdbc.common.util
com.databricks.jdbc.dbclient.impl.common
com.databricks.jdbc.dbclient.impl.sqlexec
com.databricks.jdbc.dbclient.impl.thrift

## Uses of DatabricksParsingException in com.databricks.jdbc.api.impl

Methods in com.databricks.jdbc.api.impl that throw DatabricksParsingException
Modifier and Type
Method
Description
`String`
DatabricksConnectionContext.`getClientId()`
`com.databricks.sdk.core.utils.Cloud`
DatabricksConnectionContext.`getCloud()`
`String`
DatabricksConnectionContext.`getEndpointURL()`
`String`
DatabricksConnectionContext.`getGcpAuthType()`
`String`
DatabricksConnectionContext.`getHostUrl()`
`List<String>`
DatabricksConnectionContext.`getOAuthScopesForU2M()`
`DatabricksArray`
ComplexDataTypeParser.`parseJsonStringToDbArray(String json, String arrayMetadata)`
`DatabricksMap<String,Object>`
ComplexDataTypeParser.`parseJsonStringToDbMap(String json, String mapMetadata)`
`DatabricksStruct`
ComplexDataTypeParser.`parseJsonStringToDbStruct(String json, String structMetadata)`
`DatabricksArray`
ComplexDataTypeParser.`parseToArray(com.fasterxml.jackson.databind.JsonNode node, String arrayMetadata)`
`DatabricksMap<String,Object>`
ComplexDataTypeParser.`parseToMap(com.fasterxml.jackson.databind.JsonNode node, String mapMetadata)`
`DatabricksStruct`
ComplexDataTypeParser.`parseToStruct(com.fasterxml.jackson.databind.JsonNode node, String structMetadata)`

## Uses of DatabricksParsingException in com.databricks.jdbc.api.impl.arrow

Methods in com.databricks.jdbc.api.impl.arrow that throw DatabricksParsingException
Modifier and Type
Method
Description
`ArrowResultChunk`
ArrowResultChunk.Builder.`build()`
`protected abstract void`
AbstractArrowResultChunk.`downloadData(IDatabricksHttpClient httpClient, CompressionCodec compressionCodec, double speedThreshold)`
Downloads and initializes data for this chunk using the provided HTTP client and compression codec.
`protected void`
ArrowResultChunk.`downloadData(IDatabricksHttpClient httpClient, CompressionCodec compressionCodec, double speedThreshold)`
Downloads and initializes data for this chunk using the provided HTTP client and compression codec.
`protected abstract void`
AbstractArrowResultChunk.`handleFailure(Exception exception, ChunkStatus failedStatus)`
Handles a failure during the download or processing of this chunk.
`protected void`
ArrowResultChunk.`handleFailure(Exception exception, ChunkStatus failedStatus)`
Handles a failure during the download or processing of this chunk.
`void`
ArrowResultChunkStateMachine.`transition(ChunkStatus targetStatus)`
Attempts to transition to the target state.

## Uses of DatabricksParsingException in com.databricks.jdbc.api.internal

Methods in com.databricks.jdbc.api.internal that throw DatabricksParsingException
Modifier and Type
Method
Description
`String`
IDatabricksConnectionContext.`getClientId()`
`com.databricks.sdk.core.utils.Cloud`
IDatabricksConnectionContext.`getCloud()`
`String`
IDatabricksConnectionContext.`getEndpointURL()`
`String`
IDatabricksConnectionContext.`getGcpAuthType()`
`String`
IDatabricksConnectionContext.`getHostUrl()`
Returns host-Url for Databricks server as parsed from JDBC connection in format `https://server:port`
`List<String>`
IDatabricksConnectionContext.`getOAuthScopesForU2M()`
Returns the OAuth scopes to request for the user-to-machine (U2M) authorization flow.

## Uses of DatabricksParsingException in com.databricks.jdbc.auth

Constructors in com.databricks.jdbc.auth that throw DatabricksParsingException
Modifier
Constructor
Description
``
`AzureExternalBrowserProvider(IDatabricksConnectionContext connectionContext, int availablePort)`
Constructor for Azure OAuth provider.

## Uses of DatabricksParsingException in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util that throw DatabricksParsingException
Modifier and Type
Method
Description
`static List<DriverPropertyInfo>`
DatabricksDriverPropertyUtil.`buildMissingPropertiesList(DatabricksConnectionContext connectionContext)`
`static String`
InsertStatementParser.`generateMultiRowInsert(InsertStatementParser.InsertInfo insertInfo, int numberOfRows)`
Generates a multi-row INSERT statement from the template and number of rows.
`static List<DriverPropertyInfo>`
DatabricksDriverPropertyUtil.`getMissingProperties(String url, Properties info)`
`static InsertStatementParser.InsertInfo`
InsertStatementParser.`parseInsertStrict(String sql)`
Parses an INSERT statement to extract table and column information with strict error handling.

## Uses of DatabricksParsingException in com.databricks.jdbc.dbclient.impl.common

Methods in com.databricks.jdbc.dbclient.impl.common that throw DatabricksParsingException
Modifier and Type
Method
Description
`void`
ClientConfigurator.`setupAccessTokenConfig()`
Setup the PAT authentication settings in the databricks config.
`void`
ClientConfigurator.`setupM2MConfig()`
Setup the OAuth M2M authentication settings in the databricks config.
`void`
ClientConfigurator.`setupOAuthAccessTokenConfig()`
`void`
ClientConfigurator.`setupOAuthConfig()`
Setup the OAuth authentication settings in the databricks config.
`void`
ClientConfigurator.`setupU2MConfig()`
Setup the OAuth U2M authentication settings in the databricks config.
`void`
ClientConfigurator.`setupU2MRefreshConfig()`
Setup the OAuth U2M refresh token authentication settings in the databricks config.

## Uses of DatabricksParsingException in com.databricks.jdbc.dbclient.impl.sqlexec

Constructors in com.databricks.jdbc.dbclient.impl.sqlexec that throw DatabricksParsingException
Modifier
Constructor
Description
``
`DatabricksSdkClient(IDatabricksConnectionContext connectionContext)`
``
`DatabricksSdkClient(IDatabricksConnectionContext connectionContext, com.databricks.sdk.service.sql.StatementExecutionService statementExecutionService, com.databricks.sdk.core.ApiClient apiClient)`

## Uses of DatabricksParsingException in com.databricks.jdbc.dbclient.impl.thrift

Constructors in com.databricks.jdbc.dbclient.impl.thrift that throw DatabricksParsingException
Modifier
Constructor
Description
``
`DatabricksThriftServiceClient(IDatabricksConnectionContext connectionContext)`